import request from '@/axios'
export default {
  listGoodsUserQuestion(data) {
		return request({
			url: '/bank/question/listGoodsUserQuestion',
			params:data,
			method: 'get'
		})
	},

  
	goodsBank(data) {
		return request({
			url: '/goods/bank/list',
			method: 'get',
			params: data,
		})
	},

  
	goodsBankQuestionNum(data) {
		return request({
			url: '/goods/bank/questionNum/'+data,
			method: 'get',
		})
	},

  examRecordGroupList(data) {
		return request({
			url: '/exam/record/group_list',
			params:data,
			method: 'GET',
		})
	},

  goodsBankDolist(data) {
		return request({
			url: '/goods/bank/dolist',
			method: 'get',
			params:data
		})
	},


  bankRecordDoNum(data) {
		return request({
			url: '/bank/record/doNum',
			params:data,
			method: 'GET',
		})
	},

  bankExam(data) {
		return request({
			url: '/bank/exam/'+data,
			method: 'get',
		})
	},

  bankRecord(data) {
		return request({
			url: '/bank/record',
			data:data,
			method: 'POST',
		})
	},

  bankRecordEdit(data) {
		return request({
			url: '/bank/record/edit',
			data:data,
			method: 'POST'
		})
	},

  
	studyExamPhotoRecord(data) {
		return request({
			url: '/bank/record/addPhoto',
			method: 'post',
			data: data
		})
	},

  bankExamExamList(data) {
		return request({
			url: '/bank/exam/exam/list',
			method: 'get',
			params: data,
		})
	},

  examRecordCount(data) {
		return request({
			url: '/exam/record/count',
			params:data,
			method: 'GET',
		})
	},

  getExamDetail(data) {
		return request({
			url: '/bank/exam/'+data,
			method: 'get',
		})
	},

  examRecord(data) {
		return request({
			url: '/exam/record',
			data:data,
			method: 'POST',
		})
	},

  examRecordEdit(data) {
		return request({
			url: '/exam/record/edit',
			data:data,
			method: 'POST',
		})
	},

  examWrongRecord(data) {
		return request({
			url: '/exam/wwrong/record',
			data:data,
			method: 'POST',
		})
	},

  examWrongRecordWrongNum(data) {
		return request({
			url:`/exam/wwrong/record/wrongNum/${data}`,
			method: 'get'
		})
	},

  bankExamNextExam(data) {
		return request({
			url: '/bank/exam/nextExam',
			params:data,
			method: 'get',
		})
	},

  examReport(data) {
		return request({
			url: '/exam/record/'+data,
			method: 'get',
		})
	},

  examaperList(data) {
		return request({
			url: '/exam/paper/list',
			params:data,
			method: 'GET',
		})
	},

  goodsCollectExamList(data) {
		return request({
			url: '/collect/question/exam_list',
			method: 'get',
			params:data
		})
	},

  collectQuestionTypeList(data) {
		return request({
			url: '/collect/question/type_list',
			params:data,
			method: 'GET',
		})
	},

  wrongRecordTypeList(data) {
		return request({
			url: '/exam/wwrong/record/type_list',
			params:data,
			method: 'GET',
		})
	},

  wrongRecordList(data) {
		return request({
			url: '/exam/wwrong/record/list',
			method: 'get',
			params:data
		})
	},

  wrongRecordTypeQuestionList(data) {
		return request({
			url: '/exam/wwrong/record/type_question_list',
			params:data,
			method: 'GET',
		})
	},

  wrongRecordDelete(data) {
		return request({
			url: '/exam/wwrong/record/delete/question',
			method: 'post',
			data:data
		})
	},

  wrongRecordExamQuestionList(data) {
		return request({
			url: '/exam/wwrong/record/exam_question_list',
			method: 'get',
			params:data,
		})
	},

  goodsCollectList(data) {
		return request({
			url: '/collect/question/list',
			method: 'get',
			params:data
		})
	},

  collectQuestionExamQuestionList(data) {
		return request({
			url:`/collect/question/exam_question_list`,
			method: 'get',
			params:data
		})
	},

  goodsChapterDolist(data) {
		return request({
			url: '/goods/chapter/dolist',
			method: 'get',
			params:data
		})
	},

  goodsExamDolist(data) {
		return request({
			url: '/goods/exam/dolist',
			method: 'get',
			params:data
		})
	},

  examRecordRightList(data) {
		return request({
			url: '/exam/record/right_list',
			params:data,
			method: 'GET',
		})
	},
	
	examRecordWrongList(data) {
		return request({
			url: '/exam/record/wrong_list',
			params:data,
			method: 'GET',
		})
	},

  examRecordList(data) {
		return request({
			url: '/exam/record/list',
			params:data,
			method: 'GET',
		})
	},

  bankQuestionListFreeGoodsList(data) {
		return request({
			url: '/bank/question/listFreeGoodsList',
			method: 'get',
			params: data
		})
	}
}